
package com.tmerclub.cloud.delivery.service;

import com.tmerclub.cloud.delivery.model.DeliveryOrderItem;
import com.tmerclub.cloud.delivery.vo.DeliveryOrderItemVO;

/**
 * 物流订单项信息
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
public interface DeliveryOrderItemService {

    /**
     * 根据物流订单项信息id获取物流订单项信息
     *
     * @param id 物流订单项信息id
     * @return 物流订单项信息
     */
    DeliveryOrderItemVO getById(Long id);

    /**
     * 保存物流订单项信息
     * @param deliveryOrderItem 物流订单项信息
     */
    void save(DeliveryOrderItem deliveryOrderItem);

    /**
     * 更新物流订单项信息
     * @param deliveryOrderItem 物流订单项信息
     */
    void update(DeliveryOrderItem deliveryOrderItem);

    /**
     * 根据物流订单项信息id删除物流订单项信息
     * @param id
     */
    void deleteById(Long id);
}
